﻿using System.Xml;

namespace StellarWaterPoint.Customers
{
    public partial class Create : Form
    {
        public Create()
        {
            InitializeComponent();
        }

        private void btnFindWaterMeter_Click(object sender, EventArgs e)
        {
            XmlDocument xdWaterMeters = new XmlDocument();
            string? strWaterMeters = @"C:\Stellar Water Point\WaterMeters.xml";

            FileInfo? fiWaterMeters = new FileInfo(strWaterMeters);

            if (fiWaterMeters.Exists)
            {
                using (FileStream? fsWaterMeters = new FileStream(fiWaterMeters.FullName, FileMode.Open, FileAccess.Read, FileShare.Read))
                {
                    xdWaterMeters.Load(fsWaterMeters);
                    XmlNodeList xnlWaterMeters = xdWaterMeters.DocumentElement!.SelectNodes("//meter-number[.='" + mtbMeterNumber.Text + "']")!;

                    foreach (XmlNode xnWaterMeter in xnlWaterMeters)
                    {
                        txtMeterDetails.Text = xnWaterMeter.NextSibling!.InnerText + " " + 
                                               xnWaterMeter.NextSibling.NextSibling!.InnerText + " (Meter Size: " + 
                                               xnWaterMeter.NextSibling.NextSibling.NextSibling!.InnerText + ")";
                    }
                }
            }
        }
    }
}
