﻿using System.Xml;

namespace StellarWaterPoint.WaterMeters
{
    public partial class Details : Form
    {
        public Details()
        {
            InitializeComponent();
        }

        private void btnFind_Click(object sender, EventArgs e)
        {
            XmlDocument xdWaterMeters = new XmlDocument();
            string? strWaterMeters = @"C:\Stellar Water Point\WaterMeters.xml";

            FileInfo? fiWaterMeters = new FileInfo(strWaterMeters);

            if (fiWaterMeters.Exists)
            {
                using (FileStream? fsWaterMeters = new FileStream(fiWaterMeters.FullName, FileMode.Open, FileAccess.Read, FileShare.Read))
                {
                    xdWaterMeters.Load(fsWaterMeters);
                    XmlNodeList xnlWaterMeters = xdWaterMeters.DocumentElement!.SelectNodes("//meter-number[.='" + mtbMeterNumber.Text + "']")!;

                    foreach (XmlNode xnWaterMeter in xnlWaterMeters)
                    {
                        txtMake.Text      = xnWaterMeter.NextSibling!.InnerText;
                        txtModel.Text     = xnWaterMeter.NextSibling.NextSibling!.InnerText;
                        txtMeterSize.Text = xnWaterMeter.NextSibling.NextSibling.NextSibling!.InnerText;
                    }
                }
            }
        }

        private void btnClose_Click(object sender, EventArgs e)
        {
            Close();
        }
    }
}
